var de = Object.defineProperty;
var ue = (s, e, t) => e in s ? de(s, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : s[e] = t;
var C = (s, e, t) => (ue(s, typeof e != "symbol" ? e + "" : e, t), t);
import { EditFormModel as me, FormMDCtrlModel as pe, DefectModelError as he, AppEntityModel as H } from "@ibiz-template/model";
import { useNamespace as B, useControlController as fe, usePropsWatch as ve, getDatePickerProps as ye, getEditorEmits as G, useController as ge, getDataPickerProps as se, useViewController as we } from "@ibiz-template/vue-util";
import { defineComponent as M, getCurrentInstance as W, ref as b, watch as V, h as r, onMounted as De, computed as j } from "vue";
import { createUUID as te } from "qx-util";
import { ViewMode as ae, PluginStaticResource as Ee, OpenAppViewCommand as q, UIActionHandler as Ce, FrontUIActionHandler as re } from "@ibiz-template/runtime";
import { EditFormController as be, FormMDCtrlController as Pe, FormDRUIPartController as Ae, EditViewController as Fe, DatePickerEditorController as Ie, UploadEditorController as Se, PickerEditorController as oe } from "@ibiz-template/controller";
import { ControlVO as xe, calcResPath as K } from "@ibiz-template/service";
import $ from "dayjs";
import { RuntimeError as ke, StringUtil as ne } from "@ibiz-template/core";
class Ne extends be {
  constructor() {
    super(...arguments);
    /**
     *   基础数据
     *
     * @author fangZhiHao
     * @date 2024-04-26 17:04:49
     * @type {IData}
     */
    C(this, "baseResData", []);
    /**
     *   对比数据
     *
     * @author fangZhiHao
     * @date 2024-04-26 17:04:49
     * @type {IData}
     */
    C(this, "compareResData", []);
    /**
     * 表单旧数据
     *
     * @author zk
     * @date 2023-12-20 11:12:43
     * @protected
     * @type {IData}
     * @memberof FormController
     */
    C(this, "oldData", new xe());
    /**
     * version数据
     *
     * @author fangZhiHao
     * @date 2024-04-26 16:04:37
     * @type {IData[]}
     */
    C(this, "versionData", []);
    /**
     *  对比数据
     *
     * @author fangZhiHao
     * @date 2024-04-26 16:04:37
     * @type {IData[]}
     */
    C(this, "comparisonArr", {});
    /**
     *  基础表格数据
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:57
     * @type {IData[]}
     */
    C(this, "gridData", []);
    /**
     *  展示完全数据
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:04
     * @type {IData[]}
     */
    C(this, "AllGridData", []);
    /**
     *  去除相同数据
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:15
     * @type {IData[]}
     */
    C(this, "removeSameGridData", []);
    /**
     *  关系界面数据
     *
     * @author fangZhiHao
     * @date 2024-04-30 10:04:33
     * @type {IData}
     */
    C(this, "AlldruipartData", /* @__PURE__ */ new Map());
    /**
     *  关系界面数据长度
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:56
     * @type {number}
     */
    C(this, "druipartDataSize", 0);
    /**
     *   关系界面实际数据
     *
     * @author fangZhiHao
     * @date 2024-05-06 11:05:13
     * @type {IData}
     */
    C(this, "newDruipartData", {});
  }
  /**
   * 加载数据
   *
   * @return {*}  {Promise<ControlVO>}
   * @memberof FormDataComparisonController
   */
  async loadGridData() {
    await this.startLoading();
    const t = this.model.source.M.getPSControlParam.ctrlParams, { BASEENTITY: a, COMPAREENTITY: c } = t, n = await ibiz.entityService.getService(a), d = await ibiz.entityService.getService(c), v = Object.assign({}, this.context.clone(), {
      [a.toLowerCase()]: this.params.base_version
    }), p = Object.assign({}, this.context.clone(), {
      [c.toLowerCase()]: this.params.compare_version
    }), h = await n.exec("Get", v, this.params), g = await d.exec(
      "Get",
      p,
      this.params
    );
    return this.isLoaded = !0, {
      baseData: h.data.data,
      compareData: g.data.data
    };
  }
  /**
   * 判断值是否为空
   *
   * @param {(string | IData[] | null | undefined)} value
   * @return {*}
   * @memberof FormDataComparisonController
   */
  isFalseyButNotEmpty(t) {
    return t == null || typeof t == "string" && t === "" || Array.isArray(t) && t.length === 0 || typeof t == "object" && Object.keys(t).length === 0;
  }
  /**
   * 比较两个值
   *
   * @param {IData} objA
   * @param {IData} objB
   * @return {*}
   * @memberof FormDataComparisonController
   */
  compareObjectValues(t, a) {
    return JSON.stringify(t) !== JSON.stringify(a);
  }
}
const Oe = M({
  name: "IBizFormDataComparison",
  props: {
    modelData: {
      type: me,
      required: !0
    },
    context: {
      type: Object,
      required: !0
    },
    params: {
      type: Object,
      default: () => ({})
    },
    enableAutoSave: {
      type: Boolean,
      required: !1
    }
  },
  setup(s) {
    const e = B("form-data-comparison"), {
      proxy: t
    } = W(), a = fe(t, () => {
      const o = new Ne(s.modelData, s.context, s.params);
      return ve(t, "enableAutoSave", o.setEnableAutoSave.bind(o)), o;
    }), c = b(!0), n = b(!1), d = b({}), v = b({}), p = b([]), h = [], g = b([]), i = b([]), y = b([]), f = /* @__PURE__ */ new Map(), u = b(0), l = (o) => {
      const m = [];
      if (m.push(o), o && o.children) {
        const A = [];
        o.children.forEach((F) => {
          const O = l(F);
          A.push(...O);
        }), m.push(...A);
      }
      return m;
    }, w = l(s.modelData);
    h.push(...w);
    const E = (o) => {
      const m = a.details[o.source.name], A = r("not-supported-editor", {
        attrs: {
          modelData: o.editor
        }
      });
      return r("div", {
        class: [e.e("form-grid-item"), e.is("add", g.value.includes(o.source.name)), e.is("update", y.value.includes(o.source.name)), e.is("delete", i.value.includes(o.source.name))]
      }, [r("div", {
        class: e.em("form-grid-item", "name")
      }, [o.source.caption]), r("div", {
        class: e.em("form-grid-item", "left")
      }, [m.editorProvider ? r(m.editorProvider.formEditor, {
        props: {
          value: v.value[o.source.name],
          data: m.data,
          controller: m.editor,
          disabled: m.disabled,
          readonly: !0
        }
      }) : A]), r("div", {
        class: e.em("form-grid-item", "right")
      }, [m.editorProvider ? r(m.editorProvider.formEditor, {
        props: {
          value: d.value[o.source.name],
          data: m.data,
          controller: m.editor,
          disabled: m.disabled,
          readonly: !0
        }
      }) : A])]);
    }, I = (o, m) => {
      f.set(o.source.id, m), m.evt.on("mounted", () => {
        c.value && a.startLoading(), u.value += 1, m.call.refresh();
      }), m.evt.on("refreshed", () => {
        u.value -= 1, setTimeout(() => {
          c.value && a.endLoading();
        }, 500);
      });
    }, D = (o) => {
      const m = h.find((L) => L.id === `${o.source.id}_srfcopy`), A = o.embedView.source.modelPath, F = m == null ? void 0 : m.embedView.source.modelPath, O = a.context.clone(), N = {
        base_version: s.params.base_version
      }, T = a.context.clone();
      Object.assign(T, {
        gysrlzy_info: s.params.compare_version,
        compare_version: s.params.compare_version
      });
      const _ = {
        compare_version: s.params.compare_version
      }, R = d.value[o.source.userTag], U = v.value[m == null ? void 0 : m.source.userTag];
      let J = !1, z = !1, X = !1;
      if (o.source.userTag2) {
        const L = JSON.parse(o.source.userTag2), {
          comparekey: Z,
          comparelist: ce
        } = L;
        R && U && Array.isArray(R) && Array.isArray(U) && (R.length === 0 && U.length !== 0 ? X = !0 : R.length !== 0 && U.length === 0 ? J = !0 : R.length !== 0 && U.length !== 0 && (R.length !== U.length ? z = !0 : R.some((Q) => {
          const ee = U.find((Y) => Q[Z] === Y[Z]);
          return ee ? ce.some((Y) => Q[Y] !== ee[Y] ? (z = !0, !0) : !1) : (z = !0, !0);
        })));
      }
      return r("div", {
        class: [e.e("druipart"), e.is("add", J), e.is("update", z), e.is("delete", X)]
      }, [r("div", {
        class: e.em("druipart", "caption")
      }, [o.source.caption]), r("div", {
        class: e.em("druipart", "left")
      }, [F && r("ViewShell", {
        attrs: {
          context: T,
          params: _,
          modal: {
            mode: ae.EMBED
          },
          modelPath: F,
          noLoadDefault: !0,
          name: m == null ? void 0 : m.source.id
        },
        key: te(),
        on: {
          neuronInit: (L) => I(m, L)
        }
      })]), r("div", {
        class: e.em("druipart", "right")
      }, [A && r("ViewShell", {
        attrs: {
          context: O,
          params: N,
          modal: {
            mode: ae.EMBED
          },
          modelPath: A,
          noLoadDefault: !0,
          name: o.source.id
        },
        key: te(),
        on: {
          neuronInit: (L) => I(o, L)
        }
      })])]);
    }, P = (o) => {
      const m = {
        modelData: o,
        controller: a.details[o.source.name]
      }, A = a.providers[o.source.name], F = r(A.component, {
        props: {
          ...m
        },
        key: o.id
      }), O = r(A.component, {
        props: {
          ...m
        },
        key: `compare_${o.id}`
      });
      return r("div", {
        class: e.e("mdctrl")
      }, [r("div", {
        class: e.em("mdctrl", "caption")
      }, [o.source.caption]), r("div", {
        class: e.em("mdctrl", "left")
      }, [F]), r("div", {
        class: e.em("mdctrl", "right")
      }, [O])]);
    }, S = (o) => {
      c.value = !1;
      const m = p.value.findIndex((A) => A === o.source.name);
      m > -1 ? p.value.splice(m, 1) : p.value.push(o.source.name);
    }, k = (o) => {
      if (!o.source.hidden) {
        if (o.source.detailType === "FORMPAGE")
          return r("div", {
            class: e.e("form-page")
          }, [o.children.map((m) => k(m))]);
        if (o.source.detailType === "FORMITEM") {
          const m = g.value.includes(o.source.name), A = i.value.includes(o.source.name), F = y.value.includes(o.source.name);
          return n.value && !m && !A && !F ? null : E(o);
        }
        if (o.source.detailType === "GROUPPANEL") {
          const m = p.value.includes(o.source.name);
          return r("div", {
            class: e.b("group")
          }, [r("div", {
            class: [e.be("group", "header"), e.is("hide-caption", !o.source.showCaption)]
          }, [r("div", {
            class: e.bem("group", "header", "name")
          }, [m ? r("i-icon", {
            class: e.bem("group", "header", "icon"),
            attrs: {
              type: "ios-arrow-forward",
              title: "展开"
            },
            on: {
              click: () => S(o)
            }
          }) : r("i-icon", {
            class: e.bem("group", "header", "icon"),
            attrs: {
              type: "ios-arrow-down",
              title: "收缩"
            },
            on: {
              click: () => S(o)
            }
          }), r("span", {
            class: e.bem("group", "header", "name-text")
          }, [o.source.caption || o.source.title])]), r("div", ["---"]), r("div", ["---"])]), r("div", {
            class: [e.be("group", "content"), e.is("collapse", m)]
          }, [o.children.map((A) => k(A))])]);
        }
        return o.source.detailType === "DRUIPART" && !o.source.name.endsWith("_srfcopy") ? D(o) : o.source.detailType === "MDCTRL" ? P(o) : null;
      }
    }, x = (o, m) => {
      const A = [], F = [], O = [];
      return Object.keys(m).forEach((N) => {
        const T = o[N], _ = m[N];
        a.isFalseyButNotEmpty(T) && !a.isFalseyButNotEmpty(_) && A.push(N), !a.isFalseyButNotEmpty(T) && !a.isFalseyButNotEmpty(_) && a.compareObjectValues(T, _) && F.push(N);
      }), Object.keys(o).forEach((N) => {
        if (!Object.prototype.hasOwnProperty.call(m, N) || a.isFalseyButNotEmpty(m[N])) {
          const T = o[N];
          a.isFalseyButNotEmpty(T) || O.push(N);
        }
      }), {
        added: A,
        modified: F,
        deleted: O
      };
    };
    return V(() => s.params, async () => {
      const o = await a.loadGridData();
      d.value = o.baseData, v.value = o.compareData;
      const {
        added: m,
        modified: A,
        deleted: F
      } = x(v.value, d.value);
      g.value = m, y.value = A, i.value = F;
    }, {
      immediate: !0
    }), {
      ns: e,
      c: a,
      switchValue: n,
      druipartNum: u,
      renderEditor: E,
      renderByDetailType: k
    };
  },
  render() {
    return this.c.complete ? r("control-layout", {
      attrs: {
        modelData: this.c.model
      }
    }, [r("div", {
      class: this.ns.b()
    }, [r("div", {
      class: this.ns.e("top")
    }, [r("div", {
      class: this.ns.e("top-hidesame-content")
    }, [r("div", {
      class: this.ns.e("top-hidesame-content-left")
    }, ["隐藏相同项 ", r("i-switch", {
      model: {
        value: this.switchValue,
        callback: (s) => {
          this.switchValue = s;
        }
      }
    })]), r("div", {
      class: this.ns.e("top-hidesame-content-right")
    }, [r("div", {
      class: this.ns.e("top-hidesame-content-right-item")
    }, ["新增", r("div", {
      class: this.ns.e("top-hidesame-content-right-item-add")
    })]), r("div", {
      class: this.ns.e("top-hidesame-content-right-item")
    }, ["修改", r("div", {
      class: this.ns.e("top-hidesame-content-right-item-change")
    })]), r("div", {
      class: this.ns.e("top-hidesame-content-right-item")
    }, ["删除", r("div", {
      class: this.ns.e("top-hidesame-content-right-item-delete")
    })])])]), r("div", {
      class: this.ns.e("top-content")
    }, [r("div", {
      class: this.ns.em("top-content", "attr")
    }, ["信息项"]), r("div", {
      class: [this.ns.em("top-content", "left")]
    }, ["更新前内容"]), r("div", {
      class: [this.ns.em("top-content", "right")]
    }, ["更新后内容"])])]), r("div", {
      class: this.ns.e("content")
    }, [this.modelData.children.map((s) => this.renderByDetailType(s))])])]) : null;
  }
});
const Te = M({
  name: "CustomDataImport",
  props: {
    templateUrl: {
      type: String,
      required: !0
    },
    importUrl: {
      type: String,
      required: !0
    },
    dismiss: {
      type: Function
    }
  },
  setup(s, {
    emit: e
  }) {
    const t = B("data-import"), a = b(), c = b({
      state: "ready",
      message: "",
      rowError: []
    }), n = b(""), d = async (i) => {
      const y = new FormData(), f = $(n.value).format("YYYY-MM");
      y.append("file", i), y.append("ny", f);
      try {
        const u = await ibiz.net.request(s.importUrl, {
          method: "post",
          data: y,
          headers: {
            "Content-Type": "multipart/form-data"
          }
        });
        c.value.state = "success", c.value.message = "导入成功";
        const {
          errorinfo: l,
          success: w,
          total: E
        } = u.data, I = E ? Number(E) : 0, D = w ? Number(w) : 0, P = E - w;
        c.value.message = `共计导入数据 ${I} 条，错误[${P}]，成功[${D}]`, l && Object.keys(l).length > 0 && (c.value.rowError = [], Object.keys(l).forEach((S) => {
          c.value.rowError.push({
            index: Number(S) + 1,
            info: l[S].errorInfo
          });
        }));
      } catch (u) {
        c.value.state = "fail", c.value.message = `导入失败！${u.message}`;
      }
    }, v = (i) => {
      const y = i.target;
      if (!y.files)
        return;
      const f = y.files[0];
      y.value = null, d(f);
    }, p = async () => {
      var y;
      const i = await ibiz.net.request(s.templateUrl, {
        responseType: "blob"
      });
      if (i.status === 200) {
        let f = ((y = i.headers["content-disposition"].split(";").find((w) => w.indexOf("filename=") !== -1)) == null ? void 0 : y.slice(9)) || "";
        f = decodeURIComponent(f);
        const u = new Blob([i.data], {
          type: "application/vnd.ms-excel"
        }), l = document.createElement("a");
        l.download = f, l.style.display = "none", l.href = URL.createObjectURL(u), document.body.appendChild(l), l.click(), URL.revokeObjectURL(l.href), document.body.removeChild(l);
      }
    }, h = () => {
      a.value.click();
    }, g = () => {
      var i;
      e("close", {
        ok: !1,
        data: {}
      }), (i = s.dismiss) == null || i.call(s, {
        ok: !1,
        data: {}
      });
    };
    return De(() => {
      n.value = $().format("YYYY年MM月");
    }), {
      ns: t,
      curDate: n,
      onLinkClick: p,
      selectFile: h,
      onCancelButtonClick: g,
      onFileChange: v,
      inputUpLoad: a,
      message: c
    };
  },
  render() {
    return r("div", {
      class: [this.ns.b(), this.ns.is("custom", !0)]
    }, [r("input", {
      ref: "inputUpLoad",
      attrs: {
        type: "file",
        accept: "application/vnd.openxmlformats-officedocument.spreadsheetml.sheet"
      },
      style: "display: none",
      on: {
        change: this.onFileChange
      }
    }), r("div", {
      class: this.ns.e("caption")
    }, ["导入数据"]), r("div", {
      class: this.ns.e("date")
    }, [r("span", ["导入数据所属月份"]), r("i-datePicker", {
      attrs: {
        format: "yyyy年MM月",
        type: "month",
        clearable: !1
      },
      model: {
        value: this.curDate,
        callback: (s) => {
          this.curDate = s;
        }
      }
    })]), this.message.state === "ready" ? r("div", {
      class: this.ns.b("upload"),
      on: {
        click: this.selectFile
      }
    }, [r("img", {
      class: this.ns.be("upload", "img"),
      attrs: {
        src: "./assets/img/icon-import.svg"
      }
    }), r("span", {
      class: this.ns.be("upload", "text")
    }, ["单击此区域进行上传"])]) : r("div", {
      class: this.ns.b("message")
    }, [r("div", {
      class: this.ns.be("message", "title")
    }, ["导入结果"]), r("div", {
      class: this.ns.be("message", "content")
    }, [this.message.message]), this.message.rowError.length > 0 && [r("div", {
      class: this.ns.be("message", "title")
    }, ["错误信息"]), r("div", {
      class: this.ns.be("message", "content")
    }, [this.message.rowError.map((s) => r("div", [`第 ${s.index} 行：${s.info}`]))])]]), r("div", {
      class: this.ns.e("template-container")
    }, [r("div", {
      class: this.ns.e("template-description")
    }, ["下载导入模版，并按要求填写："]), r("div", {
      class: this.ns.e("template-link"),
      on: {
        click: this.onLinkClick
      }
    }, [r("i-icon", {
      attrs: {
        type: "ios-link"
      }
    }), "数据导入模板文件"])]), r("div", {
      class: this.ns.e("button-bar")
    }, [this.message.state !== "ready" && r("i-button", {
      on: {
        click: this.selectFile
      }
    }, ["重新上传"])])]);
  }
});
const Me = M({
  name: "YearMonthPicker",
  props: ye(),
  emits: G(),
  setup(s, {
    emit: e
  }) {
    const t = B("date-picker"), a = s.controller, c = a.model, n = b("date"), d = b("yyyy-MM-dd"), v = b(!1);
    switch (c.editorType) {
      case "DATEPICKEREX":
      case "DATEPICKEREX_NOTIME":
        n.value = "date";
        break;
      case "DATEPICKEREX_NODAY":
      case "DATEPICKEREX_NODAY_NOSECOND":
        v.value = !0, n.value = "time";
        break;
      case "DATEPICKEREX_HOUR":
      case "DATEPICKEREX_MINUTE":
      case "DATEPICKEREX_SECOND":
      case "DATEPICKEREX_NOSECOND":
      case "DATEPICKER":
      default:
        n.value = "datetime";
    }
    const p = a.valueFormat;
    if (p) {
      p === "YYYY-MM" ? n.value = "month" : p === "YYYY" && (n.value = "year");
      const f = p.replace("YYYY", "yyyy").replace("DD", "dd");
      d.value = f;
    }
    c.editorParams.formatText && (d.value = c.editorParams.formatText.replace("YYYY", "yyyy").replace("DD", "dd"));
    const h = b();
    V(() => s.value, (f, u) => {
      f && f !== u && (h.value = $(f).format(p));
    }, {
      immediate: !0
    });
    const g = (f, u) => {
      if (f) {
        const l = $(f.replace(/[年月]/g, "-")).format(p);
        e("change", l);
      } else
        e("change", f);
    }, i = (f) => {
      e("operate", f);
    }, y = b();
    return s.autoFocus && V(y, (f) => {
      f && f.$el.getElementsByTagName("input")[0].click();
    }), {
      ns: t,
      c: a,
      editorModel: c,
      type: n,
      format: d,
      formatValue: h,
      handleChange: g,
      onOpenChange: i,
      inputRef: y,
      isTimePicker: v
    };
  },
  render(s) {
    return s("div", {
      class: [this.ns.b(), this.disabled ? this.ns.m("disabled") : "", this.readonly ? this.ns.m("readonly") : ""]
    }, [[this.readonly && this.formatValue, !this.readonly && this.isTimePicker && s("ITimePicker", {
      ref: "inputRef",
      props: {
        ...this.c.customProps,
        value: this.value,
        type: this.type,
        format: this.format,
        placeholder: this.c.placeHolder,
        disabled: this.disabled,
        transfer: !0
      },
      on: {
        "on-change": this.handleChange,
        "on-open-change": this.onOpenChange
      }
    }), !this.readonly && !this.isTimePicker && s("ICalendarPicker", {
      ref: "inputRef",
      props: {
        ...this.c.customProps,
        value: this.value,
        type: this.type,
        format: this.format,
        placeholder: this.c.placeHolder,
        disabled: this.disabled,
        transfer: !0
      },
      on: {
        "on-change": this.handleChange,
        "on-open-change": this.onOpenChange
      }
    })]]);
  }
});
const ie = new Ee(import.meta.url), Re = M({
  name: "DownLoadSafeFile",
  props: {},
  setup() {
    const s = B("download-safe-file"), e = ie.dir("/assets/doc/safe-file.doc");
    return {
      ns: s,
      url: e
    };
  },
  render() {
    return r("div", {
      class: this.ns.b()
    }, [r("a", {
      attrs: {
        download: "网络信息安全承诺书.doc",
        href: this.url
      }
    }, ["网络信息安全承诺书.doc"])]);
  }
});
class le extends Pe {
  constructor() {
    super(...arguments);
    /**
     * 激活的分页下标
     *
     * @type {number}
     * @memberof FormMDCtrlFormStyle2Controller
     */
    C(this, "active", 0);
  }
  connect(t, a) {
    this.formNeurons.get(t) || (this.formNeurons.set(t, a), a.evt.on("mounted", () => {
      a.call.load();
    }), a.evt.on("destroyed", () => {
      this.formNeurons.delete(t);
    }), a.evt.on("valueChange", (c) => {
      if (c) {
        const n = this.contentCtrlData.find((d) => d.srfkey === c.srfkey);
        n && Object.assign(n, c), this.force();
      }
    }));
  }
  /**
   * 校验
   *
   * @return {*}  {Promise<boolean>}
   * @memberof FormMDCtrlFormStyle2Controller
   */
  async validate() {
    const t = [];
    this.formNeurons.forEach((n, d) => {
      const v = n.call.getFormController();
      t.push({ key: d, controller: v });
    });
    let a = "";
    const c = await Promise.all(
      t.map(async (n) => {
        const d = await n.controller.validate();
        return !a && !d && (a = n.key), d;
      })
    );
    if (a) {
      const n = this.contentCtrlData.findIndex((d) => d.srfkey === a);
      n > -1 && (this.active = n);
    }
    return c.findIndex((n) => !n) === -1;
  }
  /**
   * 静默校验
   *
   * @return {*}  {Promise<boolean>}
   * @memberof FormMDCtrlFormStyle2Controller
   */
  async silentValidate() {
    const t = [];
    this.formNeurons.forEach((n, d) => {
      const v = n.call.getFormController();
      t.push({ key: d, controller: v });
    });
    let a = "";
    const c = await Promise.all(
      t.map(async (n) => {
        const d = await n.controller.silentValidate();
        return !a && !d && (a = n.key), d;
      })
    );
    if (a) {
      const n = this.contentCtrlData.findIndex((d) => d.srfkey === a);
      n > -1 && (this.active = n);
    }
    return c.findIndex((n) => !n) === -1;
  }
}
const Ue = M({
  name: "FormMDCtrlFormStyle2",
  props: {
    controller: {
      type: le,
      required: !0
    },
    modelData: {
      type: pe,
      required: !0
    }
  },
  setup(s) {
    const e = B("form-mdctrl-form-style2"), t = s.controller, {
      proxy: a
    } = W();
    ge(a, s.controller);
    const c = async (h, g, i) => {
      i.stopPropagation(), i.preventDefault();
      const y = t.contentCtrlData.length;
      await t.handleRemove(h, g), y !== t.contentCtrlData.length && g <= t.active && t.active !== 0 && (t.active -= 1);
    }, n = (h) => {
      t.active = h, t.force();
    }, d = async () => {
      const h = JSON.parse(JSON.stringify(t.contentCtrlData)).length;
      await t.handleAdd(), h < t.contentCtrlData.length && (t.active = t.contentCtrlData.length - 1);
    }, v = () => {
      const h = s.modelData.source.userTag;
      let g = {};
      h && (g = JSON.parse(h));
      const {
        tabtitle: i,
        addtitle: y,
        usermode: f
      } = g;
      return f === "user1" && t.contentCtrlData.some((l) => l.rcrylx === "system") ? r("div", {
        class: e.e("header")
      }, [t.contentCtrlData.map((l, w) => {
        let E = "";
        l.srfmajortext ? E = l.srfmajortext : i && l[i] && (E = l[i]);
        let I = "待确认";
        return l.is_rc === 1 ? I = "确认入场" : l.is_rc === 0 && (I = "放弃入场"), r("div", {
          class: [e.e("header-item"), e.is("actived", w === t.active)],
          on: {
            click: () => n(w)
          }
        }, [r("div", {
          class: e.em("header-item", "title")
        }, [E, "（", I, "）"])]);
      })]) : r("div", {
        class: e.e("header")
      }, [t.contentCtrlData.map((u, l) => {
        let w = `新建${l + 1}`;
        return u.srfmajortext ? w = u.srfmajortext : i && u[i] ? w = u[i] : y && (w = `${y}${l + 1}`), r("div", {
          class: [e.e("header-item"), e.is("actived", l === t.active)],
          on: {
            click: () => n(l)
          }
        }, [r("div", {
          class: e.em("header-item", "title")
        }, [w]), t.enableDelete && r("div", {
          class: e.em("header-item", "delete"),
          attrs: {
            title: "移除"
          },
          on: {
            click: (E) => c(u, l, E)
          }
        }, [r("i", {
          class: "fa fa-close"
        })])]);
      }), t.enableCreate && r("div", {
        class: [e.e("header-item"), e.e("add")],
        attrs: {
          title: "添加"
        },
        on: {
          click: () => d()
        }
      }, [r("span", ["添加"]), r("i", {
        class: "fa fa-plus"
      })])]);
    };
    return V(() => t.form.isLoaded, (h, g) => {
      h !== g && h === !0 && t.loadData();
    }), {
      ns: e,
      rendertanHeader: v,
      renderTabs: () => t.contentCtrlData.map((h, g) => {
        var f;
        let i = null;
        const {
          form: y
        } = t.model;
        if (y && t.providers[y.name] && t.model.appEntity) {
          const u = Object.assign(t.form.context.clone(), {
            [(f = t.model.appEntity.codeName) == null ? void 0 : f.toLowerCase()]: h[t.model.appEntity.keyName]
          });
          i = r(t.providers[y.name].component, {
            props: {
              modelData: y,
              context: u,
              params: t.form.params,
              enableAutoSave: !0,
              silentVerify: !0
            },
            on: {
              neuronInit: t.onNeuronInit(h.srfkey)
            }
          });
        }
        return r("div", {
          class: [e.e("content"), e.is("actived", g === t.active)],
          key: h.srfkey
        }, [i]);
      })
    };
  },
  render() {
    return r("div", {
      class: this.ns.b()
    }, [this.rendertanHeader(), this.renderTabs()]);
  }
}), Le = M({
  name: "AutoSelectAll",
  props: se(),
  emits: G(),
  setup(s, {
    emit: e
  }) {
    const t = B("mpicker"), a = s.controller, c = b([]), n = b([]), d = b([]), v = b(!1), p = b(!1), h = b(null), g = b([]), i = j(() => {
      const D = a.editorParams.followitem;
      return D ? s.data[D] : "";
    });
    V(() => s.value, (D) => {
      c.value = [], d.value = [], D && (d.value = JSON.parse(D), d.value.length > 0 && d.value.forEach((P) => {
        n.value.findIndex((k) => Object.is(k.srfkey, P.srfkey)) < 0 && (n.value.push(P), g.value.push(P.srfmajortext)), c.value.push(P.srfkey);
      }));
    }, {
      immediate: !0,
      deep: !0
    });
    const y = async (D) => {
      const P = [];
      if (D && Array.isArray(D))
        for (let k = 0; k < D.length; k++) {
          const x = D[k], o = {
            srfkey: x[a.keyName] || x.srfkey,
            srfmajortext: x[a.textName] || x.srfmajortext
          }, m = await a.calcFillDataItems(x);
          m.length > 0 && m.forEach((F) => {
            Object.assign(o, {
              [F.name]: F.value
            });
          }), P.push(o), n.value.findIndex((F) => Object.is(F[a.keyName], x[a.keyName])) < 0 && n.value.push(o);
        }
      const S = P.length > 0 ? JSON.stringify(P) : "";
      e("change", S);
    }, f = async () => {
      let D;
      d.value.length && (D = JSON.stringify(d.value));
      const P = await a.openPickUpView(s.data, D);
      P && y(P);
    }, u = (D) => {
      const P = [];
      if (D.length > 0) {
        D.forEach((k) => {
          let x = n.value.findIndex((m) => Object.is(m.srfkey, k)), o = null;
          x >= 0 ? o = n.value[x] : (x = d.value.findIndex((m) => Object.is(m.srfkey, k)), x >= 0 && (o = d.value[x])), o && P.push(o);
        });
        const S = P.length > 0 ? JSON.stringify(P) : "";
        e("change", S);
      } else
        e("change", "");
    }, l = async (D) => {
      if (a.model.appDataEntity) {
        p.value = !0;
        try {
          const P = await a.getServiceData(D, s.data);
          p.value = !1, n.value = [], P.data.length > 0 && (n.value = P.data.map((S) => ({
            srfkey: S[a.keyName],
            srfmajortext: S[a.textName]
          })));
        } catch (P) {
          p.value = !1;
        }
      }
    }, w = (D) => {
      v.value = D, e("operate", D), v.value && l("");
    }, E = j(() => d.value.map((D) => D.srfmajortext).join("、")), I = (D) => {
      n.value = D;
    };
    return V(() => i.value, async (D) => {
      if (D) {
        await l("");
        const P = n.value.map((S) => S.srfkey);
        u(P);
      } else
        n.value = [], e("change", "");
    }, {
      immediate: !0
    }), {
      ns: t,
      c: a,
      selectRef: h,
      curValue: c,
      loading: p,
      items: n,
      defaultLabel: g,
      valueText: E,
      onSearch: l,
      onOpenChange: w,
      onSelect: u,
      openPickUpView: f,
      setDefaultOptions: I
    };
  },
  render(s) {
    return s("div", {
      class: [this.ns.b(), this.disabled ? this.ns.m("disabled") : "", this.readonly ? this.ns.m("readonly") : ""]
    }, [this.readonly && this.valueText, !this.readonly && s("iSelect", {
      ref: "selectRef",
      props: {
        ...this.c.customProps,
        value: this.curValue,
        filterable: !0,
        transfer: !0,
        multiple: !0,
        defaultLabel: this.defaultLabel,
        loading: this.loading,
        placeholder: this.c.placeHolder,
        disabled: this.disabled,
        remoteMethod: this.onSearch
      },
      on: {
        "on-change": this.onSelect,
        "on-open-change": this.onOpenChange
      }
    }, [this.items.map((e) => s("i-option", {
      key: e.srfkey,
      attrs: {
        value: e.srfkey,
        label: e.srfmajortext
      }
    }, [e.srfmajortext]))]), !this.readonly && s("div", {
      class: this.ns.e("buns-position")
    }, [s("div", {
      class: this.ns.e("btns")
    }, [this.c.pickupView ? s("i-button", {
      attrs: {
        icon: "ios-search",
        type: "text"
      },
      on: {
        click: this.openPickUpView
      }
    }) : null])])]);
  }
});
const Ve = M({
  name: "MPickerCheckbox",
  props: se(),
  emits: G(),
  setup(s, {
    emit: e
  }) {
    const t = B("checkbox"), a = s.controller, c = b([]), n = b([]), d = ",", v = j({
      get() {
        var u;
        return ((u = s.value) == null ? void 0 : u.split(",")) || [];
      },
      set(u) {
        let l = null;
        const w = [];
        c.value.length > 0 && (c.value.forEach((E) => {
          u.findIndex((D) => Object.is(E.value, D)) !== -1 && w.push(E.value);
        }), l = w.join(d)), e("change", l);
      }
    }), p = async (u) => {
      const {
        context: l,
        params: w
      } = a.handlePublicParams(u, a.context, a.params);
      if (a.editorParams.codeTag) {
        let E = [];
        const I = a.editorParams.codeTag;
        return E = await ibiz.codeListService.get(I, l, w), E;
      }
      throw new he(a.model.source, "请配置代码表");
    }, h = (u) => {
      v.value = u;
    }, g = j(() => {
      const u = Array.isArray(v.value) ? v.value : [v.value];
      return c.value.filter((l) => u.includes(l.srfkey)).map((l) => l.srfmajortext).join("、");
    }), i = async (u) => {
      if (a.model.appDataEntity)
        try {
          const l = await a.getServiceData(u, s.data);
          n.value = [], l.data.length > 0 && (n.value = l.data.map((w) => ({
            srfkey: w[a.keyName],
            srfmajortext: w[a.textName]
          })));
        } catch (l) {
          console.error(l);
        }
    }, y = j(() => {
      const u = a.editorParams.followitem;
      return u ? s.data[u] : "";
    }), f = () => {
      const u = [];
      c.value.forEach((l) => {
        n.value.findIndex((E) => E.srfkey === l.value) > -1 && u.push(l.value);
      }), h(u);
    };
    return V(() => y, async (u) => {
      await p(u).then((l) => {
        c.value = l;
      }), await i(""), f();
    }, {
      immediate: !0,
      deep: !0
    }), {
      ns: t,
      c: a,
      valueText: g,
      selectArray: v,
      items: c,
      onSearch: i,
      onSelectArrayChange: h
    };
  },
  render(s) {
    return s("div", {
      class: [this.ns.b(), this.disabled ? this.ns.m("disabled") : "", this.readonly ? this.ns.m("readonly") : ""]
    }, [this.readonly && this.valueText, !this.readonly && s("ICheckboxGroup", {
      props: {
        ...this.c.customProps,
        value: this.selectArray
      },
      on: {
        "on-change": this.onSelectArrayChange
      }
    }, [this.items.map((e, t) => s("i-checkbox", {
      key: t,
      attrs: {
        label: e.value,
        disabled: this.disabled
      }
    }, [s("span", {
      class: this.ns.e("text")
    }, [e.text])]))])]);
  }
});
class Be extends Ae {
  /**
   * 设置嵌入视图的神经元
   *
   * @author lxm
   * @date 2022-09-15 10:09:22
   * @param {ViewNeuron} neuron
   */
  setViewNeuron(e) {
    this.neuron = e, this.neuron.evt.on("refreshed", (t) => {
      if (ibiz.log.debug("接收到关系界面的刷新变更事件", t), this.model.formItemUpdate) {
        const { methodName: a, itemNames: c, model: n } = this.model.formItemUpdate;
        this.form.updateFormItem(
          a,
          c,
          n
        );
      }
    }), this.neuron.evt.on("mounted", () => {
      this.neuron.call.refresh();
    }), this.neuron.evt.on("viewDataChange", async (t) => {
      if (!["LOAD", "LOADDRAFT"].includes(t.type) && (ibiz.log.debug("接收到关系界面的数据变更事件", t.data), this.model.formItemUpdate)) {
        const { methodName: a, itemNames: c, model: n } = this.model.formItemUpdate;
        try {
          this.processState.formItemUpdate = !0, await this.form.updateFormItem(
            a,
            c,
            n
          );
        } finally {
          this.processState.formItemUpdate = !1;
        }
      }
    }), this.neuron.evt.on("destroyed", () => {
      Object.keys(this.processState).forEach((t) => {
        this.processState[t] = !1;
      });
    }), this.neuron.evt.on("viewSaveStart", () => {
      this.processState.viewSave = !0;
    }), this.neuron.evt.on("viewSaveEnd", () => {
      this.processState.viewSave = !1;
    });
  }
}
class _e extends Fe {
  constructor() {
    super(...arguments);
    /**
     * 自定义行为
     *
     * @type {string}
     * @memberof WfEditViewController
     */
    C(this, "userAction");
  }
  async onInit() {
    await super.onInit(), this.getUserAction();
  }
  /**
   * 工作流启动
   *
   * @author lxm
   * @date 2022-09-29 20:09:27
   * @returns {*}  {Promise<void>}
   */
  async wfStart() {
    var h;
    await this.save(), await this.execUserAction();
    const t = await this.entityService.wf.getWFVersion();
    if (t.data.length === 0)
      throw new ke("当前工作流版本不存在");
    const a = t.data[0], c = `WFSTART@${a.wfversion}`, n = Object.assign(this.context.clone(), {
      activeForm: a["process-form"]
    }), d = {
      processDefinitionKey: a.definitionkey
    }, v = (h = this.model.source.findPSAppViewRef(c)) == null ? void 0 : h.getRefPSAppView();
    if (!v) {
      await this.nerve.form.call.wfStart(d), await this.closeView();
      return;
    }
    (await ibiz.commands.execute(
      q.TAG,
      v,
      n,
      d
    )).ok && await this.closeView();
  }
  /**
   * 获取自定义行为
   *
   * @memberof EditViewController
   */
  getUserAction() {
    const { form: t } = this.model, a = t.source.getPSControlHandler();
    if (a) {
      const c = a.findPSControlHandlerAction("user");
      c && c.getPSAppDEMethod() && (this.userAction = c.getPSAppDEMethod().codeName);
    }
  }
  /**
   * 执行自定义行为
   *
   * @memberof EditViewController
   */
  async execUserAction() {
    if (this.userAction) {
      const t = this.getData();
      await this.entityService.exec(this.userAction, this.context, t[0]);
    }
  }
}
function je(s, e) {
  return we(
    s,
    (t, a) => new _e(e, t, a)
  );
}
const ze = M({
  props: {
    context: Object,
    params: {
      type: Object
    },
    modelPath: {
      type: String,
      required: !0
    },
    modal: {
      type: Object
    },
    noLoadDefault: {
      type: Boolean,
      required: !1
    }
  },
  setup(s) {
    const {
      proxy: e
    } = W();
    return {
      c: je(e, s.modelPath)
    };
  },
  render(s) {
    let e = null;
    if (this.c.complete) {
      const {
        form: t
      } = this.c.model;
      this.c.providers[t.name] && (e = s(this.c.providers[t.name].component, {
        props: {
          modelData: t,
          context: this.c.context,
          params: this.c.params
        },
        on: {
          neuronInit: this.c.nerve.onNeuronInit(t.name)
        }
      }));
    }
    return s("view-base", {
      attrs: {
        controller: this.c
      }
    }, [e]);
  }
});
class Ye {
  constructor() {
    C(this, "component", "IBizFormDataComparison");
  }
}
class $e extends Ce {
  async execAction(e, t, a, c) {
    const n = {}, d = e.getPSAppDataEntity();
    if (d) {
      d.isFill === !1 && await d.fill(!0);
      const v = new H(d);
      await v.init();
      const { resultContext: p } = await this.handleParams(
        e,
        t,
        a,
        c
      ), h = ibiz.resourcePathUtil.calcPaths(
        p,
        v.codeName
      ), g = K(p, h);
      let i = `${g}/${v.deNamePlural}/importtemplate`, y = `${g}/${v.deNamePlural}/importdata2`;
      const f = e.getPSAppDEDataImport();
      f && (i += `?srfimporttag=${f.codeName}`, y += `?srfimporttag=${f.codeName}`);
      const u = ibiz.overlay.createModal(
        "CustomDataImport",
        {
          templateUrl: i,
          importUrl: y,
          dismiss: (l) => {
            u.dismiss(l);
          }
        },
        {
          width: "auto",
          placement: "center"
        }
      );
      return u.present(), await u.onWillDismiss(), {
        refresh: !0
      };
    }
    return n;
  }
}
class He {
  constructor() {
    C(this, "handler");
  }
  async getHandler() {
    return this.handler || (this.handler = new $e()), this.handler;
  }
}
class Ge {
  constructor() {
    C(this, "gridEditor", "YearMonthPicker");
    C(this, "formEditor", "YearMonthPicker");
  }
  async createController(e, t) {
    const a = new Ie(e, t);
    return await a.init(), a;
  }
}
class We {
  constructor() {
    C(this, "formEditor", "DownLoadSafeFile");
    C(this, "gridEditor", "DownLoadSafeFile");
  }
  async createController(e, t) {
    const a = new Se(e, t);
    return await a.init(), a;
  }
}
class qe extends re {
  async execAction(e, t, a, c, n) {
    const d = {}, { frontProcessType: v } = e;
    if (v === "OPENHTMLPAGE") {
      const p = ne.fill(e.htmlPageUrl, t, a == null ? void 0 : a[0]);
      window.open(p, "_blank");
    }
    if (v === "DATAIMP") {
      const p = e.getPSAppDataEntity();
      if (p) {
        p.isFill === !1 && await p.fill(!0);
        const h = new H(p);
        await h.init();
        const { resultContext: g } = await this.handleParams(
          e,
          t,
          a,
          c
        ), i = ibiz.resourcePathUtil.calcPaths(
          g,
          h.codeName
        ), y = K(g, i);
        let f = `${y}/${h.deNamePlural}/importtemplate`, u = `${y}/${h.deNamePlural}/importdata2`;
        const l = e.getPSAppDEDataImport();
        l && (f += `?srfimporttag=${l.codeName}`, u += `?srfimporttag=${l.codeName}`);
        const w = ibiz.overlay.createModal(
          "DataImport",
          {
            templateUrl: f,
            importUrl: u,
            dismiss: (E) => {
              w.dismiss(E);
            }
          },
          {
            width: "auto",
            placement: "center"
          }
        );
        return w.present(), await w.onWillDismiss(), {
          refresh: !0
        };
      }
    }
    if (["TOP", "WIZARD"].includes(v)) {
      const p = e.getFrontPSAppView();
      if (!p)
        throw new Error("未配置打开视图");
      await p.fill(!0);
      const { resultContext: h, resultParams: g } = await this.handleParams(
        e,
        t,
        a,
        c
      ), i = await ibiz.commands.execute(
        q.TAG,
        p,
        h,
        g,
        n
      );
      (i == null ? void 0 : i.ok) === !1 && (d.closeView = !1, d.refresh = !1, d.cancel = !0), i != null && i.ok && i.data && (d.data = i.data);
    } else if (n) {
      const { neuron: p } = n, g = p.call.getFormController().call.getFormController(), { druipart1: i, druipart2: y, druipart3: f } = g.details;
      [
        {
          message: "服务履历为空",
          neuron: i
        },
        {
          message: "教育经验为空",
          neuron: y
        },
        {
          message: "项目经验为空",
          neuron: f
        }
      ].some((w) => {
        const E = w.neuron.neuron.call.getGridController();
        if (E) {
          const I = E.call.getGridController();
          if (I && I.items && I.items.length > 0)
            return !1;
        }
        return ibiz.message.error(`${w.message}`, 1.5, !0), !0;
      }) || await p.call.wfStart();
    }
    return d;
  }
}
class Ke {
  constructor() {
    C(this, "handler");
  }
  async getHandler() {
    return this.handler || (this.handler = new qe()), this.handler;
  }
}
class Je {
  constructor() {
    C(this, "component", "FormMDCtrlFormStyle2");
  }
  async createController(e, t, a) {
    const c = new le(e, t, a);
    return await c.init(), c;
  }
}
class Xe {
  constructor() {
    C(this, "formEditor", "AutoSelectAll");
    C(this, "gridEditor", "AutoSelectAll");
  }
  async createController(e, t) {
    const a = new oe(e, t);
    return await a.init(), a;
  }
}
class Ze {
  constructor() {
    C(this, "formEditor", "MPickerCheckbox");
    C(this, "gridEditor", "IBizGridPicker");
  }
  async createController(e, t) {
    const a = new oe(e, t);
    return await a.init(), a;
  }
}
class Qe extends re {
  async execAction(e, t, a, c, n) {
    const d = {}, { frontProcessType: v } = e;
    if (v === "OPENHTMLPAGE") {
      const p = ne.fill(e.htmlPageUrl, t, a == null ? void 0 : a[0]);
      window.open(p, "_blank");
    }
    if (v === "DATAIMP") {
      const p = e.getPSAppDataEntity();
      if (p) {
        p.isFill === !1 && await p.fill(!0);
        const h = new H(p);
        await h.init();
        const { resultContext: g } = await this.handleParams(
          e,
          t,
          a,
          c
        ), i = ibiz.resourcePathUtil.calcPaths(
          g,
          h.codeName
        ), y = K(g, i);
        let f = `${y}/${h.deNamePlural}/importtemplate`, u = `${y}/${h.deNamePlural}/importdata2`;
        const l = e.getPSAppDEDataImport();
        l && (f += `?srfimporttag=${l.codeName}`, u += `?srfimporttag=${l.codeName}`);
        const w = ibiz.overlay.createModal(
          "DataImport",
          {
            templateUrl: f,
            importUrl: u,
            dismiss: (E) => {
              w.dismiss(E);
            }
          },
          {
            width: "auto",
            placement: "center"
          }
        );
        return w.present(), await w.onWillDismiss(), {
          refresh: !0
        };
      }
    }
    if (["TOP", "WIZARD"].includes(v)) {
      const p = e.getFrontPSAppView();
      if (!p)
        throw new Error("未配置打开视图");
      await p.fill(!0);
      const { resultContext: h, resultParams: g } = await this.handleParams(
        e,
        t,
        a,
        c
      ), i = await ibiz.commands.execute(
        q.TAG,
        p,
        h,
        g,
        n
      );
      (i == null ? void 0 : i.ok) === !1 && (d.closeView = !1, d.refresh = !1, d.cancel = !0), i != null && i.ok && i.data && (d.data = i.data);
    } else if (a && a.length > 0 && n) {
      const { neuron: p } = n, i = await p.call.getFormController().call.getFormController().autoSave();
      i && i.rcryqd && Array.isArray(i.rcryqd) && i.rcryqd.length > 0 ? await p.call.wfStart() : ibiz.message.error("入场信息为空");
    }
    return d;
  }
}
class et {
  constructor() {
    C(this, "handler");
  }
  async getHandler() {
    return this.handler || (this.handler = new Qe()), this.handler;
  }
}
class tt {
  constructor() {
    C(this, "component", "FormDruipart");
  }
  async createController(e, t, a) {
    const c = new Be(e, t, a);
    return await c.init(), c;
  }
}
class at {
  constructor() {
    C(this, "component", "WfEditView");
  }
}
const pt = {
  mateUrl: import.meta.url,
  install(s) {
    ie.loadStyle(["/style.css"]), s.component("IBizFormDataComparison", Oe), s.component("CustomDataImport", Te), s.component("YearMonthPicker", Me), s.component("DownLoadSafeFile", Re), s.component("FormMDCtrlFormStyle2", Ue), s.component("AutoSelectAll", Le), s.component("MPickerCheckbox", Ve), s.component("WfEditView", ze), ibiz.register.control.register(
      "EDITFORM_RENDER_FORM_DATA_COMPARISON",
      new Ye()
    ), ibiz.register.uiAction.register(
      "DEUIACTION_CUSTOM_IMPORT",
      new He()
    ), ibiz.register.editor.register(
      "DATEPICKEREX_NOTIME_YEAR_MONTH_PICKER",
      new Ge()
    ), ibiz.register.editor.register(
      "FILEUPLOADER_ONE_DOWNLOAD_FILE",
      new We()
    ), ibiz.register.uiAction.register(
      "DEUIACTION_JUDEG_ENABLE_UPDATE",
      new Ke()
    ), ibiz.register.formDetail.register(
      "FORM_USERCONTROL_MUL_FORM_CARD",
      new Je()
    ), ibiz.register.editor.register(
      "EDITOR_CUSTOMSTYLE_AUTO_SELECT_ALL",
      new Xe()
    ), ibiz.register.editor.register(
      "EDITOR_CUSTOMSTYLE_MULTIPLE_CHECKBOX",
      new Ze()
    ), ibiz.register.uiAction.register(
      "DEUIACTION_check_rcxx",
      new et()
    ), ibiz.register.formDetail.register(
      "FORM_USERCONTROL_DRUIPART_ENABLEINITLOAD",
      new tt()
    ), ibiz.register.view.register(
      "VIEW_CUSTOM_CUSTOM_WF",
      new at()
    );
  }
};
export {
  pt as default
};
